%define module_name Dist-Zilla-App-Command-regenerate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Beam/Emitter.pm) perl(Beam/Event.pm) perl(Carp.pm) perl(Dist/Zilla/App.pm) perl(Dist/Zilla/App/Tester.pm) perl(Dist/Zilla/Role/Plugin.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Path/Tiny.pm) perl(Safe/Isa.pm) perl(Test/DZil.pm) perl(Test/More.pm) perl(Test/Needs.pm) perl(Test/TempDir/Tiny.pm) perl(namespace/clean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001001
Release: alt1
Summary: Write content into your source tree from your release staging
Group: Development/Perl
License: perl
URL: https://github.com/kentnl/Dist-Zilla-App-Command-regenerate

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KE/KENTNL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Dist::Zilla::App::Command::regenerate' provides a `regenerate' command to `Dist::Zilla'
that allows some simple tooling to update your source tree when you choose to.

This works by producing a new synthetic target like the `release' target, which happens
after the `build' stage, but does not produce a release.

In conjunction with appropriate `plugins' performing
`-Regenerator', This means that:

=over 4

=item * You won't be frustrated with `dzil build' constantly tweaking your source tree

=item * You won't be forced to ship a release just to update the state of some files that are generated
by plugins

=item * You won't even have to update your source tree ever if you don't want to.

=back

When calling `dzil regenerate', a full copy of the distribution is built in a temporary directory
like it does when you call `dzil test'.

Then after `dzil regenerate' has written your built distribution out to the temporary directory,
any `plugin''s that perform the `-Regenerator' role are called and told where your source tree is,
and where the build tree is, and they are expected to do the required work.

In effect, `dzil regenerate' is a lot like:

  dzil build --not && \
    DO_STUFF_WITH .build/latest/  && \
    MAYBECOPY .build/latest/stuff ./stuff

Where those last 2 lines are done with `plugins'.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*

%changelog
* Thu Mar 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.001001-alt1
- regenerated from template by package builder

* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 0.001000-alt1
- initial import by package builder

